using System;
using System.Windows;
using System.Windows.Controls;


namespace RadGridView_SL4_AR_14
{
	public partial class MainPage : UserControl
	{
        private const int MaxTrendVisitCount = 25; // maximum number of visits that can be selected

		public MainPage()
		{
			InitializeComponent();
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{

		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{

		}

        private void CheckBox_CheckedChanged(object sender, RoutedEventArgs e)
        {
            // test to see if this is fired when we scroll up or down.

            var test = 1;
        }

        /// <summary>
        /// Method sets the text informing the user how many visits they have selected.
        /// </summary>
        /// <param name="selectedVisitCount">Number of selected visits</param>
        private void SetCountText(int selectedVisitCount)
        {
            txtMaxVisitsNumberMsg.Text = string.Concat("ou currently have", " ",
                                                       selectedVisitCount, " ",
                                                       "country selected (maximum of 20).");
            txtMaxVisitsNumberMsg.Visibility = Visibility.Visible;
           
        }
	}
}
